Bug 959535 - Reuse preset values when navigating through "Select Classification"
Reuse preset values when navigating through "Select Classification"
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-03 13:51 EDT by Jan Pokorný
Modified: 2014-10-12 18:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.4.0009
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 20:45:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 913364 None None None Never

  None (edit)
Description Jan Pokorný 2013-05-03 13:51:27 EDT
Use case:

Add "active search" bookmark to Firefox like this:

> https://bugzilla.redhat.com/enter_bug.cgi?component=%s

which is bound to let's say "rhbznew" keyword so that filing a new bugzilla
is as easy as going to "rhbznew buggycomponent" and then selecting if it is
related to Fedora/RHEL/whatever and finally finishing the process by
entering necessary fields and submitting.

Indeed, I could have two bookmarks, lets say "rhbzfedora" and "rhbzrhel"
for the respective products (perhaps I'll define them anyway), but I see
a current unability to propagate "component" and/or other fields through
"select classification" navigation as an obstacle.

This feature could also be used for pointing to a more specific location
for submitting bugs related to particular component in its documentation
and the like, optionally accompanied with a note to select RHEL if suitable
and Fedora otherwise (e.g., if the upstream lives here).


To be clear, HTTP is stateless and this feature AFAICT does not require
anything fancy like cookies to workaround that.  All it requires is to
preserve the preset fields (especially and nor now OK if exclusively
only a "component") = status by encoding them back into navigational
links within "Select Classification" screen.

The same behavior is observed with both prod bugzilla (version 4.2.5-8.4)
and partner-bugzilla (version 4.4.rc2-2.b02).

Thanks for considering.
Comment 1 Jan Pokorný 2013-05-30 17:24:13 EDT
To be noted that "cloned_bug_id" parameter survives OK when cloning a bug
(also goes through enter_bug.cgi).
Comment 5 Simon Green 2013-10-03 20:45:32 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.